Subject: Re: [dix] Permanent IDs and how to obsolete an identity

From: Charles Carrington <[email-masked]>
Date: Mon, 1 May 2006 15:52:18 -0600

Lisa,

I think its virtually impossible to remove anything completely from the 
Web.

I think we should concentrate on expiring the credentials associated with 
IDs.   Driver's licenses and passports
have expiration dates.  PKI certs have expiration dates and revocation 
lists.  Most ID's do not, and I think this is 
a feature that is sorely needed.

Thus "permanent IDs are not allowable" might be a better approach.

Charles Carrington
[email-masked]

Lisa Dusseault <[email-masked]> wrote on 04/28/2006 03:23:28 PM:

> 
> Somebody was talking to me about how IDs similar to 
> "[email-masked]" are useless because you can't trust the 
> ID when the service provider is gone.
> 
> Isn't it the general expectation that these IDs are impermanent? 
> Just like when my email address at work becomes obsolete when I leave 
> the job -- I just stop using that ID.  In fact it may be easier to 
> obsolete an ID than an email address.  OTOH it might not be, there 
> might be permissions and preferences scattered about the Web, 
> associated with an ID that suddenly becomes useless.
> 
> The statement that "permanent IDs are not required" might be useful 
> in the charter.  There may also be interesting use cases about how to 
> obsolete an ID.
> 
> Lisa
> 
> _______________________________________________
> dix mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dix
_______________________________________________
dix mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dix

---

From: Peter Davis <[email-masked]>
Date: Tue, 02 May 2006 10:23:59 -0400

On 5/1/2006 5:52 PM, "Charles Carrington" <[email-masked]> wrote:
> 
> I think its virtually impossible to remove anything completely from the Web.
> 
> I think we should concentrate on expiring the credentials associated with IDs.
> Driver's licenses and passports
> have expiration dates.  PKI certs have expiration dates and revocation lists.
> Most ID's do not, and I think this is

Security tokens expire, true, and they should.  Identifiers for such tokens
should not be required to do so.

DNS-based identifiers have an implicit expiration which is renewable.

The challenge for many users, is that they do not control the DNS portion of
their identifier today... So when their IDP changes (for example),
generally, that requires a change of address.  _THAT_, I think, is a true
problem.

=peterd  (http://xri.net/=peterd)